Core - Bug # 35923

Status: Resolved Priority: Should have
Author: Christian Kuhn Category: Default
Created: 2012-04-12 Assigned To:

Updated: 2012-04-13 Due date:

TYPO3 Version: 6.0

PHP Version: 53

Complexity: easy

Is Regression:

Sprint Focus:

Subject: Remove deprecated code for 6.0

Description

The patch removes all deprecated methods and files that are definitely unused in core and scheduled for deletion for 4.8 or 6.0.

Related issues:
related to Core - Bug # 49334: Remove last handling of multiplyDBfieldSize

Resolved 2013-06-21

Associated revisions

Revision d5979e4c - 2012-04-13 11:05 - Christian Kuhn

[TASK] Remove deprecated code for 6.0

Removes all deprecated methods and files that are unused in core and scheduled
for deletion in 4.8 / 6.0. Some more complicated parts are left out for now.

Change-Id: 103e236cedfbfa666d9b6f83848b11bb0977cdff0
Resolves: #35923

Releases: 6.0

Reviewed-on: http://review.typo3.org/10361

Reviewed-by: Georg Ringer
Tested-by: Georg Ringer
Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn

Revision 003ff66c - 2013-06-21 23:13 - Christian Kuhn

[TASK] Remove last bit of multiplyDBfieldSize handling

multiplyDBfieldSize was used in the past to extend the size of
database fields to cope with UTF8 content if the database did

not support it. The setting was deprecated for a long time already
and removed from DefaultConfiguration with version 6.0.

The patch removes still existing handler code from ext:install.
The setting is also removed from LocalConfiguration if found.

Change-Id: 1a36b8c05cab8814c91ffa0d8e8afcd4de5¢c7060b
Resolves: #49334

Related: #35923

Related: #49299
http://review.typo3.org/10361

Releases: 6.2

Reviewed-on: https://review.typo3.org/21581

Reviewed-by: Philipp Gampe
Reviewed-by: Anja Leichsenring
Tested-by: Anja Leichsenring
Reviewed-by: Markus Klein
Tested-by: Markus Klein

History

#1 - 2012-04-12 21:49 - Gerrit Code Review

- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.

It is available at http://review.typo3.org/10360

#2 - 2012-04-12 21:51 - Gerrit Code Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/10361

#3 - 2012-04-12 22:01 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/10361

#4 - 2012-04-13 14:30 - Christian Kuhn
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:d5979e4c2874b4087b58d175ca9906cdb2769fc5.
